package dev.kske.chess.exception;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>ChessException.java</strong><br>
 * Created: <strong>22 Sep 2019</strong><br>
 *
 * @since Chess v0.5-alpha
 * @author Kai S. K. Engelbart
 */
public class ChessException extends Exception {

	private static final long serialVersionUID = -2208596063548245189L;

	/**
	 * Initializes chess exception.
	 *
	 * @param message the message associated with this exception
	 * @param cause   the cause of this exception
	 */
	public ChessException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Initializes chess exception.
	 *
	 * @param message the message associated with this exception
	 */
	public ChessException(String message) {
		super(message);
	}

	/**
	 * Initializes chess exception.
	 *
	 * @param cause the cause of this exception
	 */
	public ChessException(Throwable cause) {
		super(cause);
	}
}
